> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves a specific tool by its unique name. Use this endpoint to inspect a tool's configuration, parameters, and description.

# Get Tool

For the complete error reference, see [Error Guide](/rest-api/byo-ai-agents-apis/error-codes).


## OpenAPI

````yaml get /ai-agents/tools/{name}
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/tools/{name}:
    get:
      tags:
        - Tools
      summary: Get Tool
      description: >-
        Retrieves a specific tool by its unique name. Use this endpoint to
        inspect a tool's configuration, parameters, and description.
      operationId: ToolsController_getToolByName
      parameters:
        - name: name
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Tool details
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                    example: myapp_myTool
                  appId:
                    type: string
                    example: my-app-id
                  name:
                    type: string
                    example: myTool
                  type:
                    type: string
                    enum:
                      - action
                      - tool
                    example: action
                  displayName:
                    type: string
                    example: My Tool
                  executionText:
                    type: string
                    example: Running my tool...
                  doNotExecute:
                    type: boolean
                    example: false
                  tool:
                    type: object
                    properties:
                      name:
                        type: string
                        example: myTool
                      description:
                        type: string
                        example: A helpful tool
                      parameters:
                        type: object
                        example:
                          type: object
                          properties: {}
                          required: []
                  createdAt:
                    type: integer
                    format: date-time
                  updatedAt:
                    type: integer
                    format: date-time
              example:
                _id: myapp_myTool
                appId: my-app-id
                name: myTool
                type: action
                displayName: My Tool
                executionText: Running my tool...
                doNotExecute: false
                tool:
                  name: myTool
                  description: A helpful tool
                  parameters:
                    type: object
                    properties: {}
                    required: []
                createdAt: '2025-12-01T00:00:00.000Z'
                updatedAt: '2025-12-01T00:00:00.000Z'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````